Bug 123354 - FILEOPEN DOCX ABS table formula is not working in LO
Summary: FILEOPEN DOCX ABS table formula is not working in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOCX-Fields Regressions-expression-is-faulty
  Show dependency treegraph
 
Reported: 2019-02-11 15:23 UTC by NISZ LibreOffice Team
Modified: 2020-08-31 16:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (265.63 KB, image/png)
2019-02-11 15:24 UTC, NISZ LibreOffice Team
Details
Document with ABS table formulas. (20.28 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-11 15:24 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-11 15:23:00 UTC
Description:
ABS table formula has Expression is faulty when opened in LO.

Steps to Reproduce:
    1. Create a new docx in Word.
    2. Insert a Table.
    3. Insert ABS() formula to some of the cells.
    4. Save and open it in LO.

Actual Results:
The cells which had and ABS formula now have ** Expression is faulty ** instead of what was in them in Word.

Expected Results:
All the cells should have the same data in them.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details: Version: 6.3.0.0.alpha0+
Build ID: 17dd2662ccfa9d04efbea74e5d7548db5b2126d4
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-02-11 15:24:22 UTC
Created attachment 149149 [details]
Screenshot of the original document side by side in Word and Writer.
Comment 2 NISZ LibreOffice Team 2019-02-11 15:24:46 UTC
Created attachment 149150 [details]
Document with ABS table formulas.
Comment 3 Xisco Faulí 2019-02-12 00:05:12 UTC
I think writer doesn't have an equivalent of

debug:29221:29221: ABS(-234)
debug:29221:29221: ABS(A1)


Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c568eb7d3bb4584867f0a1f0a7965f73097f009b

author	Jean-Sebastien Bevilacqua <realitix@gmail.com>	2017-02-16 09:54:33 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-03-30 17:39:00 (GMT)
commit	c568eb7d3bb4584867f0a1f0a7965f73097f009b (patch)
tree	ea7e6fb1e0d77369a90bc69dd8756f589bb352e4
parent	53c2507bf97867011fd2bfbbac6c86b7fc494338 (diff)
tdf#105975 Add Formula field parsing (docx) in SWriter
Introduction

Bisected with bibisect-linux-64-5.4
Comment 4 Commit Notification 2020-08-18 10:06:32 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1aea22f3f4fbf0cc412a8867165a85a3c55f49c

tdf#123354 DOCX import: fix ABS formula

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-27 07:19:44 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e6f5176bf433a3f1b543b3bb9fc10d6ad72545f

Revert "tdf#123354 DOCX import: fix ABS formula"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-08-27 07:20:55 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/947b7357cc2bb0bd591e4519fa43c4b4bc3cbf2a

tdf#123354 sw: add table formula ABS

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-08-31 11:41:01 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!
Comment 8 László Németh 2020-08-31 16:28:33 UTC
(In reply to Xisco Faulí from comment #7)
> Verified in
> 
> Version: 7.1.0.0.alpha0+
> Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
> CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
> Locale: en-US (en_US.UTF-8); UI: en-US
> Calc: threaded
> 
> @László Németh, thanks for fixing this issue!!

@Xisco: thanks for your feedback!